Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-2140

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2012-2140
Last Modified 30 Oct 2012 12:03:55
Published 18 Jul 2012 02:55:01
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-2140

Summary

The Mail gem before 2.4.3 for Ruby allows remote attackers to execute arbitrary commands via shell metacharacters in a (1) sendmail or (2) exim delivery.

Vulnerable Systems

Application

  • Rubygems Mail Gem 2.3.2

  • Rubygems Mail Gem 2.3.3

  • Rubygems Mail Gem 2.4.1


References

CONFIRM - https://github.com/mikel/mail/commit/ac56f03bdfc30b379aeecd4ff317d08fdaa328c2

CONFIRM - https://github.com/mikel/mail/commit/39b590ddb08f90ddbe445837359a2c8843e533d0

CONFIRM - https://github.com/mikel/mail/blob/9beb079c70d236a5ad2e1ba95b2c977e55deb7af/CHANGELOG.rdoc

MISC - https://bugzilla.redhat.com/show_bug.cgi?id=816352

MISC - https://bugzilla.novell.com/show_bug.cgi?id=759092

MLIST - [oss-security] 20120425 Re: CVE request: two flaws fixed in rubygem-mail 2.4.4

MLIST - [oss-security] 20120425 CVE request: two flaws fixed in rubygem-mail 2.4.4

SECUNIA - 48970

FEDORA - FEDORA-2012-7619

FEDORA - FEDORA-2012-7535

FEDORA - FEDORA-2012-7692


Last Updated: 27 May 2016 10:54:55